//
// Informa -- RSS Library for Java
// Copyright (c) 2002 by Niko Schmuck
//
// Niko Schmuck
// http://sourceforge.net/projects/informa
// mailto:niko_schmuck@users.sourceforge.net
//
// This library is free software.
//
// You may redistribute it and/or modify it under the terms of the GNU
// Lesser General Public License as published by the Free Software Foundation.
//
// Version 2.1 of the license should be included with this distribution in
// the file LICENSE. If the license is not included with this distribution,
// you may find a copy at the FSF web site at 'www.gnu.org' or 'www.fsf.org',
// or you may write to the Free Software Foundation, 675 Mass Ave, Cambridge, 
// MA 02139 USA.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied waranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//


// $Id: Image.java,v 1.2 2003/10/15 10:04:18 niko_schmuck Exp $

package de.nava.informa.impl.castorjdo;

import java.net.URL;
import java.net.MalformedURLException;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import de.nava.informa.core.ImageIF;

/**
 * Implementation for Castor's JDO of the ImageIF interface.
 * 
 * @author Niko Schmuck (niko@nava.de) 
 */   
public class Image extends de.nava.informa.impl.basic.Image
                   implements ImageIF, java.io.Serializable {

  private static Log logger = LogFactory.getLog(Channel.class);
  
  public Image() {
    super();
  }

  // --------------------------------------------------------------
  // additional methods needed for JDO
  // --------------------------------------------------------------

  public String getLocationAsString(){
    return getLocation().toString();
  }

  public void setLocation(String location) {
    try {
      setLocation(new URL(location));
    } catch (MalformedURLException e) {
      try {
        logger.info("Resetting invalid location <" + location + ">: " + e);
        setLocation(new URL("http://example.org"));
      } catch (MalformedURLException x) {
        // unreachable
      }
    }
  }
  
}
