//
// Informa -- RSS Library for Java
// Copyright (c) 2002 by Niko Schmuck
//
// Niko Schmuck
// http://sourceforge.net/projects/informa
// mailto:niko_schmuck@users.sourceforge.net
//
// This library is free software.
//
// You may redistribute it and/or modify it under the terms of the GNU
// Lesser General Public License as published by the Free Software Foundation.
//
// Version 2.1 of the license should be included with this distribution in
// the file LICENSE. If the license is not included with this distribution,
// you may find a copy at the FSF web site at 'www.gnu.org' or 'www.fsf.org',
// or you may write to the Free Software Foundation, 675 Mass Ave, Cambridge,
// MA 02139 USA.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied waranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//


// $Id: Channel.java,v 1.3 2004/06/28 19:14:29 niko_schmuck Exp $

package de.nava.informa.impl.castorjdo;

import java.net.URL;
import java.net.MalformedURLException;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdom.Element;

import de.nava.informa.core.ChannelIF;
import de.nava.informa.core.ItemIF;

/**
 * Implementation for Castor's JDO of the ChannelIF interface.
 *
 * @author Niko Schmuck (niko@nava.de)
 */
public class Channel extends de.nava.informa.impl.basic.Channel
  implements ChannelIF, java.io.Serializable {

  private static Log logger = LogFactory.getLog(Channel.class);

  public Channel() {
    super();
  }

  public Channel(String title) {
    super(title);
  }

  public Channel(Element channelElement) {
    super(channelElement);
  }
  public Channel(Element channelElement, String title) {
    super(channelElement, title);
  }

  // --------------------------------------------------------------
  // additional methods needed for JDO
  // --------------------------------------------------------------

  public String getLocationAsString(){
    return getLocation().toString();
  }

  public void setLocation(String location) {
    try {
      setLocation(new URL(location));
    } catch (MalformedURLException e) {
      try {
        logger.info("Resetting invalid location <" + location + ">: " + e);
        setLocation(new URL("http://example.org"));
      } catch (MalformedURLException x) {
        // unreachable
      }
    }
  }

  public String getSiteAsString() {
    return getSite().toString();
  }

  public void setSiteFromString(String site) {
    try {
      logger.debug("--> site: " + site);
      setSite(new URL(site));
    } catch (MalformedURLException e) {
      logger.debug("--> oops site: " + e);
      try {
        logger.info("Resetting invalid site <" + site + ">: " + e);
        setSite(new URL("http://example.org"));
      } catch (MalformedURLException x) {
        // unreachable
      }
    }
  }

  public void addItem(Item item) {
    addItem((ItemIF) item);
  }

}
