//
// Informa -- RSS Library for Java
// Copyright (c) 2002 by Niko Schmuck
//
// Niko Schmuck
// http://sourceforge.net/projects/informa
// mailto:niko_schmuck@users.sourceforge.net
//
// This library is free software.
//
// You may redistribute it and/or modify it under the terms of the GNU
// Lesser General Public License as published by the Free Software Foundation.
//
// Version 2.1 of the license should be included with this distribution in
// the file LICENSE. If the license is not included with this distribution,
// you may find a copy at the FSF web site at 'www.gnu.org' or 'www.fsf.org',
// or you may write to the Free Software Foundation, 675 Mass Ave, Cambridge, 
// MA 02139 USA.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied waranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//


// $Id: ChannelGroup.java,v 1.1 2003/06/22 18:51:15 niko_schmuck Exp $

package de.nava.informa.impl.castorjdo;

import java.util.Collection;

import de.nava.informa.core.ChannelGroupIF;

/**
 * Implementation for Castor's JDO of the ChannelGroupIF interface.
 * 
 * @author Niko Schmuck (niko@nava.de) 
 */   
public class ChannelGroup extends de.nava.informa.impl.basic.ChannelGroup
  implements ChannelGroupIF, java.io.Serializable {

  public ChannelGroup() {
    super();
  }
  
  public ChannelGroup(String name) {
    super(name);
  }
  
  // --------------------------------------------------------------
  // additional methods needed for JDO
  // --------------------------------------------------------------
  
  public void addChannel(Channel channel) {
    add(channel);
  }
  
  public Collection getChannels() {
    return getAll();
  }

  public void addChildren(ChannelGroup channelGroup) {
    addChild(channelGroup);
  }
  
}
