import it.sauronsoftware.feed4j.FeedIOException;
import it.sauronsoftware.feed4j.FeedParser;
import it.sauronsoftware.feed4j.FeedXMLParseException;
import it.sauronsoftware.feed4j.UnsupportedFeedException;
import it.sauronsoftware.feed4j.bean.Feed;
import it.sauronsoftware.feed4j.bean.FeedItem;
import java.net.URL;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;

import com.google.gson.Gson;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.net.MalformedURLException;

/**
 * @author Kornutiik
 */

public class RssCore {
    
    private URL url; 
    private Feed feed;
    private String rssfeed;
    private ArrayList<String> zdroje;
    
    private RssFeed RssChannel;
    //constructor
    public RssCore()
    {
        zdroje = new ArrayList<String>();
        RssChannel = new RssFeed();
    }
    
    //methods
    public String RssRead()
    {   
        ReadResources();
        
        for(int j = 0;j < zdroje.size();j++)
        {
            String item2 = zdroje.get(j);
            
            try {
                url = new URL(item2);
                feed = FeedParser.parse(url);
                int items = feed.getItemCount();

                for (int i = 1; i <= items; i++) 
                {
                    FeedItem item = feed.getItem(i-1);            
                    RssChannel.AddFeed(item.getTitle(), item.getDescriptionAsText(), item.getLink().toString());
                }

                RssChannel.AddFeedName(item2.toString());

            } catch (FeedIOException ex) {
                Logger.getLogger(rss.class.getName()).log(Level.SEVERE, null, ex);
            } catch (FeedXMLParseException ex) {
                Logger.getLogger(rss.class.getName()).log(Level.SEVERE, null, ex);
            } catch (UnsupportedFeedException ex) {
                Logger.getLogger(rss.class.getName()).log(Level.SEVERE, null, ex);
            } catch (MalformedURLException ex) {
                Logger.getLogger(RssCore.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        return rssfeed;
    }
    
    public void RssAdd(String link)
    {
        //pridanie rss zdroj
        zdroje = new ArrayList<String>();
        File f = new File("file.json");
        if(f.exists()) { 
            ReadResources();
        }
        else{
            RssChannel = new RssFeed();
            SaveResources();
        }
        zdroje.add(link);
        System.out.println("prvok pridany");
        SaveResources();
    }
    
    public void RssDelete(String link)
    {
        //odstráni rss zdroje
        ReadResources();
        int pom = zdroje.indexOf(link);
        zdroje.remove(pom);
        System.out.println("prvok zmazany");
        SaveResources();
    }
    
    public void RssShowSources()
    {
        //zobrazí rss zdroje v konzole
        System.out.println("RssShowSources: ");
        for(String item: zdroje)
        {
            System.out.println("retrieved element: " + item);
        }
    }
    
    private void ReadResources()
    {
        //načíta file a prevedie ho pomocou json späť do arraylistu linkov
        Gson gson = new Gson();
 
        try {
                BufferedReader br = new BufferedReader(
                                new FileReader("file.json"));

                //convert the json string back to object
                zdroje = gson.fromJson(br, ArrayList.class);
                                br.close();
        } catch (IOException e) {}	
    }
    
    private void SaveResources()
    {
        Gson gson = new Gson();
 
		String json = gson.toJson(zdroje);
        
        try {
		FileWriter writer = new FileWriter("file.json");
		writer.write(json);
		writer.close();
		} catch (IOException e) {}
    }
    
    public void DeleteFile()
    {
        zdroje = new ArrayList<String>();
        File file = new File("file.json");

            if(file.delete()){
                    System.out.println(file.getName() + " is deleted!");
            }else{
                    System.out.println("Delete operation is failed.");
            }
    }
    
    public RssFeed getFeedObject(){
        return RssChannel;
    }
    
    public void setCountOfRssSources(int count){
        if(count == 1){
            DeleteFile();
            RssAdd("http://www.zive.cz/rss/sc-47/");
        } 
        else if(count == 10){
            //načíta file a prevedie ho pomocou json späť do arraylistu linkov
            Gson gson = new Gson();

            try {
                BufferedReader br = new BufferedReader(new FileReader("/10rss.json"));
                //convert the json string back to object
                zdroje = gson.fromJson(br, ArrayList.class);
                br.close();
                SaveResources();
            } catch (IOException e) {}	
        } 
        else if(count == 100){
            Gson gson = new Gson();

            try {
                BufferedReader br = new BufferedReader(new FileReader("/100rss.json"));

                //convert the json string back to object
                zdroje = gson.fromJson(br, ArrayList.class);
                br.close();
                SaveResources();
            } catch (IOException e) {} 
        }
        else {
            //default rss sources
            RssAdd("http://www.zive.cz/rss/sc-47/");
            RssAdd("http://www.zive.sk/rss/sc-47/default.aspx");
            RssAdd("http://www.novinky.cz/rss2/");
        }
    }
}