import com.google.gson.Gson;
import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.http.HttpServletResponse;
/**
 * @author Kornutiik
 */
public class TimmingTest {
    private long startTime;
    private long stopTime;
    private boolean running;
    private List<String> stopWatchData1;
    private List<String> stopWatchData2;
    private List<String> stopWatchData3;
    private List<String> measureData;
    private RssCore rssFeedLoader;
    private static int countOfRepeating = 30;
    private String feedOut;
    private HttpServletResponse response;
    
    public TimmingTest(){
        startTime = 0;
        stopTime = 0;
        running = false;
        stopWatchData1 = new ArrayList<String>();
        stopWatchData2 = new ArrayList<String>();
        stopWatchData3 = new ArrayList<String>();
        measureData = new ArrayList<String>();
        rssFeedLoader = new RssCore();
    }
    
    public void startTimingTest(HttpServletResponse resp) throws IOException{
        //30x 1RSS
        for(int i = 0;i < countOfRepeating;i++){
            startStopwatch();
            rssFeedLoader = new RssCore();
            response = resp;
            rssFeedLoader.setCountOfRssSources(1);
            rssFeedLoader.RssRead();
            feedOut = new Gson().toJson(rssFeedLoader.getFeedObject());
            stopStopwatch(1);
            measureData.add(String.valueOf(feedOut.getBytes().length));
            System.out.println("Test 1RSS number: " + i);
        }     
        //30x 10RSS
        for(int i = 0;i < countOfRepeating;i++){
            startStopwatch();
            rssFeedLoader = new RssCore();
            response = resp;
            rssFeedLoader.setCountOfRssSources(10);
            rssFeedLoader.RssRead();
            feedOut = new Gson().toJson(rssFeedLoader.getFeedObject());
            stopStopwatch(10);
            measureData.add(String.valueOf(feedOut.getBytes().length));
            System.out.println("Test 10RSS number: " + i);
        }
        //30x 100RSS
        for(int i = 0;i < countOfRepeating;i++){
            startStopwatch();
            rssFeedLoader = new RssCore();
            response = resp;
            rssFeedLoader.setCountOfRssSources(100);
            rssFeedLoader.RssRead();
            feedOut = new Gson().toJson(rssFeedLoader.getFeedObject());
            stopStopwatch(100);
            measureData.add(String.valueOf(feedOut.getBytes().length));
            System.out.println("Test 100RSS number: " + i);
        }
        response.getWriter().write("TESTING END");
        //zapísanie dátových výsledkov meraní
        FileWriter fstreamdata = new FileWriter("data1.txt");
        BufferedWriter out1 = new BufferedWriter(fstreamdata);
        for(int i = 0; i < measureData.size();i++){
            out1.write(measureData.get(i) + ";");
        }
        out1.close();   
        writeToFile();
    }
    public void startStopwatch(){
        startTime = System.currentTimeMillis();
        running = true;
    }
    
    public void stopStopwatch(int which){
        stopTime = System.currentTimeMillis();
        running = false;
        String time = "";
        time = String.valueOf(getElapsedTime());
        switch (which){
            case 1: stopWatchData1.add(time);
                break;
            case 10: stopWatchData2.add(time);
                break;    
            case 100: stopWatchData3.add(time);
                break;
            default: break;
        }
    }
    
    public long getElapsedTime(){
        long elapsed;
        if (running) {
          elapsed = (System.currentTimeMillis() - startTime);
        } else {
          elapsed = (stopTime - startTime);
        }
        return elapsed;
    }
    
    public long getElapsedTimeSecs() {
        long elapsed;
        if (running) {
          elapsed = ((System.currentTimeMillis() - startTime) / 1000);
        } else {
          elapsed = ((stopTime - startTime) / 1000);
        }
        return elapsed;
    }
    
    public void writeToFile(){
        try {
            //ulozi vysledkz pre 1 zdroj
            FileWriter fstream1 = new FileWriter("vysledky1.txt");
            BufferedWriter out1 = new BufferedWriter(fstream1);
            for(int i = 0; i < stopWatchData1.size();i++){
                out1.write(stopWatchData1.get(i) + ";");
            }
            out1.close();
            //ulozi vysledky pre 10 zdrojov
            FileWriter fstream2 = new FileWriter("vysledky10.txt");
            BufferedWriter out2 = new BufferedWriter(fstream2);
            for(int i = 0; i < stopWatchData2.size();i++){
                out2.write(stopWatchData2.get(i) + ";");
            }
            out2.close();
            //ulozi vysledky pre 100 zdrojov
            FileWriter fstream3 = new FileWriter("vysledky100.txt");
            BufferedWriter out3 = new BufferedWriter(fstream3);
            for(int i = 0; i < stopWatchData3.size();i++){
                out3.write(stopWatchData3.get(i) + ";");
            }
            out3.close();
        } catch (IOException ex) {
            Logger.getLogger(TimmingTest.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}